import { IConstruct } from 'constructs';
import { IDynamicReferenceProvider } from './dynamic-reference-provider-ref';
export declare class DynamicReferenceProvider {
    static readonly DEFAULT_PROVIDER: string;
    static readonly DYNAMIC_PROVIDER_CONTEXT: string;
    static of(scope: IConstruct): IDynamicReferenceProvider;
    static register(key: string, provider: IDynamicReferenceProvider): void;
    private static _providers;
}
